> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/dominantaxis.md).

# DominantAxis

## Overview

DominantAxis는 GUI 요소의 크기를 지정할 때 우선순위를 가질 축을 정의하는 Enum입니다.

UIAspectRatioConstraint의 DominantAxis 속성에서 사용되며, UI 요소가 부모보다 커지려고 할 때 어떤 방향(가로 또는 세로)을 기준으로 크기 조정을 진행할지를 결정합니다.

## Items

| Name   | Value | Description          |
| ------ | ----- | -------------------- |
| Width  | 0     | 수평 축(가로)을 우선순위로 합니다. |
| Height | 1     | 수직 축(세로)을 우선순위로 합니다. |

## See also

{% content-ref url="/pages/uElEmIxtTIIcMrFRGIDT" %}
[UIAspectRatioConstraint](/korean/development/api-reference/classes/uiaspectratioconstraint.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/dominantaxis.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
